Subject: Re: bug#31943: Some Maven bugs
From: Björn Höfling <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: [email-masked]
Date: Thu, 5 Jul 2018 06:42:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Julien,

On Wed, 4 Jul 2018 22:06:08 +0200
Julien Lepiller <[email-masked]> wrote:

> Le Sat, 23 Jun 2018 00:39:35 +0200,
> Björn Höfling <[email-masked]> a écrit :
> 
> > Maven is now part of Guix, yeah! I gave it a try and found some bugs
> > which I post collectively here. I don't know yet where exactly they
> > come from and if they are trivial or not to fix. So if you think
> > they should better go each into a separate bug report, please
> > separate them.
> > 
> > [...]
> > 
> > 6) Maven does not compile Java 1.8 code.
> >   
> 
> This should be fixed in 892a5647debc7fe8eafac4f725c46134eb085b63.
> 
> I was cramming the whole set of dependencies for maven in the
> classpath, but it seems it doesn't play well with downloaded plugins.
> Now I generated a m2.conf file with multiple "load" lines to tell
> plexus-classworlds where to find the required jar files.

Great, works!

> > 7) I have some trouble executing the tests. This is indeterministic
> > (!), sometimes is is successful, sometimes I get an error:
> >   
> 
> So I've tested this, and it turns out it's not our package's fault: it
> fails undeterministically also when using the system's maven. I fixed
> it by downgrading maven-surefire-plugin version to 2.20 instead of
> 2.20.1.

I wondered that there is no commit for this an then realized that I have
to do that on my own in the pom.xml for each project, because Maven will
download its plugins:

<build> 
  <pluginManagement>
    <plugin>
      <artifactId>maven-surefire-plugin</artifactId>
      <version>2.20</version>
    </plugin>
     ...
</build>

> Thank you for your reports! Do you think we can close this report now?

Thanks for fixing so quickly. Yes, closing with this message.

Björn